Project Participant¶
Get Project Participant¶
HTTP Request
GET /api/project-participants/{id}
📋 Description: Retrieves detailed information about project participants associated with a specific portfolio asset, enabling enhanced analytics and management of real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "isEmailActive": true,
10 "isPrivacy": true,
11 "milestones": [
12 {
13 "createdBy": "string",
14 "lastModifiedBy": "string",
15 "createdDate": "2019-08-24T14:15:22Z",
16 "lastModifiedDate": "2019-08-24T14:15:22Z",
17 "archived": true,
18 "externalId": "string",
19 "id": 0,
20 "name": "string",
21 "description": "string",
22 "wbs": 0,
23 "percProject": 0,
24 "startDate": "2019-08-24",
25 "targetDate": "2019-08-24",
26 "baselineTargetDate": "2019-08-24",
27 "dateActualized": "2019-08-24",
28 "scheduleFrom": "2019-08-24",
29 "noOfDaysToSchedule": 0,
30 "milestoneTypeId": 0,
31 "statusId": 0,
32 "approverId": 0,
33 "approvalStatusId": 0,
34 "approvalDate": "2019-08-24",
35 "isTemplate": true,
36 "milestoneTasks": [
37 {
38 "createdBy": "string",
39 "lastModifiedBy": "string",
40 "createdDate": "2019-08-24T14:15:22Z",
41 "lastModifiedDate": "2019-08-24T14:15:22Z",
42 "archived": true,
43 "externalId": "string",
44 "id": 0,
45 "name": "string",
46 "description": "string",
47 "wbs": 0,
48 "startDate": "2019-08-24",
49 "targetDate": "2019-08-24",
50 "statusId": 0,
51 "assigneeId": 0,
52 "assigneeCanModify": true,
53 "notificationTypeId": 0,
54 "triggerId": 0,
55 "statusOfTriggerId": 0,
56 "emailSendDate": "2019-08-24",
57 "lastEmailSent": "2019-08-24",
58 "isEmailAcknowledged": true,
59 "nbEmailSent": 0,
60 "milestoneTaskKeywordId": 0,
61 "milestoneTaskKeywordValue": "string",
62 "approverId": 0,
63 "approvalStatusId": 0,
64 "refernceTaskId": 0,
65 "nrmWorkOrderId": 0,
66 "nrmWorkOrderDisplayId": "string",
67 "approvalDate": "2019-08-24",
68 "milestoneTaskCost": {
69 "createdBy": "string",
70 "lastModifiedBy": "string",
71 "createdDate": "2019-08-24T14:15:22Z",
72 "lastModifiedDate": "2019-08-24T14:15:22Z",
73 "archived": true,
74 "externalId": "string",
75 "id": 0,
76 "actual": 0
77 }
78 }
79 ],
80 "milestoneCost": {
81 "createdBy": "string",
82 "lastModifiedBy": "string",
83 "createdDate": "2019-08-24T14:15:22Z",
84 "lastModifiedDate": "2019-08-24T14:15:22Z",
85 "archived": true,
86 "externalId": "string",
87 "id": 0,
88 "sourceId": 0,
89 "estimated": 0,
90 "totalActual": 0
91 }
92 }
93 ],
94 "projectId": 0,
95 "userId": 0,
96 "userDto": {
97 "createdBy": "string",
98 "lastModifiedBy": "string",
99 "createdDate": "2019-08-24T14:15:22Z",
100 "lastModifiedDate": "2019-08-24T14:15:22Z",
101 "archived": true,
102 "externalId": "string",
103 "id": 0,
104 "email": "string",
105 "userName": "string",
106 "firstName": "string",
107 "lastName": "string",
108 "displayName": "string",
109 "permissions": "string",
110 "internalId": "string",
111 "preferredCulture": {
112 "createdBy": "string",
113 "lastModifiedBy": "string",
114 "createdDate": "2019-08-24T14:15:22Z",
115 "lastModifiedDate": "2019-08-24T14:15:22Z",
116 "archived": true,
117 "externalId": "string",
118 "id": 0,
119 "name": "string",
120 "code": "string",
121 "defaultCulture": true,
122 "enable": true
123 },
124 "userGroups": [
125 {
126 "createdBy": "string",
127 "lastModifiedBy": "string",
128 "createdDate": "2019-08-24T14:15:22Z",
129 "lastModifiedDate": "2019-08-24T14:15:22Z",
130 "archived": true,
131 "externalId": "string",
132 "id": 0,
133 "name": "string",
134 "description": "string",
135 "internalId": "string"
136 }
137 ],
138 "partnerIds": [
139 0
140 ],
141 "partners": [
142 {
143 "id": 0,
144 "status": "CREATED",
145 "displayId": "string",
146 "erpSystemId": 0,
147 "erpSystemDisplayId": "string",
148 "name": "string",
149 "fax": "string",
150 "phone": "string",
151 "parentId": 0,
152 "parentName": "string",
153 "parentDisplayId": "string",
154 "companyId": 0,
155 "partnerRoleId": 0,
156 "partnerContactId": 0
157 }
158 ]
159 },
160 "milestoneIds": [
161 0
162 ]
163}
Update Project Participant¶
HTTP Request
PUT /api/project-participants/{id}
📋 Description: Updates the details of a specified project participant within the Nakisa Portfolio Management Suite, facilitating enhanced portfolio and asset management through accurate participant information.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing updated participant information, including role and contribution details, relevant to the management of portfolio assets within the Nakisa Portfolio Management Suite. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "isEmailActive": true,
10 "isPrivacy": true,
11 "milestones": [
12 {
13 "createdBy": "string",
14 "lastModifiedBy": "string",
15 "createdDate": "2019-08-24T14:15:22Z",
16 "lastModifiedDate": "2019-08-24T14:15:22Z",
17 "archived": true,
18 "externalId": "string",
19 "id": 0,
20 "name": "string",
21 "description": "string",
22 "wbs": 0,
23 "percProject": 0,
24 "startDate": "2019-08-24",
25 "targetDate": "2019-08-24",
26 "baselineTargetDate": "2019-08-24",
27 "dateActualized": "2019-08-24",
28 "scheduleFrom": "2019-08-24",
29 "noOfDaysToSchedule": 0,
30 "milestoneTypeId": 0,
31 "statusId": 0,
32 "approverId": 0,
33 "approvalStatusId": 0,
34 "approvalDate": "2019-08-24",
35 "isTemplate": true,
36 "milestoneTasks": [
37 {
38 "createdBy": "string",
39 "lastModifiedBy": "string",
40 "createdDate": "2019-08-24T14:15:22Z",
41 "lastModifiedDate": "2019-08-24T14:15:22Z",
42 "archived": true,
43 "externalId": "string",
44 "id": 0,
45 "name": "string",
46 "description": "string",
47 "wbs": 0,
48 "startDate": "2019-08-24",
49 "targetDate": "2019-08-24",
50 "statusId": 0,
51 "assigneeId": 0,
52 "assigneeCanModify": true,
53 "notificationTypeId": 0,
54 "triggerId": 0,
55 "statusOfTriggerId": 0,
56 "emailSendDate": "2019-08-24",
57 "lastEmailSent": "2019-08-24",
58 "isEmailAcknowledged": true,
59 "nbEmailSent": 0,
60 "milestoneTaskKeywordId": 0,
61 "milestoneTaskKeywordValue": "string",
62 "approverId": 0,
63 "approvalStatusId": 0,
64 "refernceTaskId": 0,
65 "nrmWorkOrderId": 0,
66 "nrmWorkOrderDisplayId": "string",
67 "approvalDate": "2019-08-24",
68 "milestoneTaskCost": {
69 "createdBy": "string",
70 "lastModifiedBy": "string",
71 "createdDate": "2019-08-24T14:15:22Z",
72 "lastModifiedDate": "2019-08-24T14:15:22Z",
73 "archived": true,
74 "externalId": "string",
75 "id": 0,
76 "actual": 0
77 }
78 }
79 ],
80 "milestoneCost": {
81 "createdBy": "string",
82 "lastModifiedBy": "string",
83 "createdDate": "2019-08-24T14:15:22Z",
84 "lastModifiedDate": "2019-08-24T14:15:22Z",
85 "archived": true,
86 "externalId": "string",
87 "id": 0,
88 "sourceId": 0,
89 "estimated": 0,
90 "totalActual": 0
91 }
92 }
93 ],
94 "projectId": 0,
95 "userId": 0,
96 "userDto": {
97 "createdBy": "string",
98 "lastModifiedBy": "string",
99 "createdDate": "2019-08-24T14:15:22Z",
100 "lastModifiedDate": "2019-08-24T14:15:22Z",
101 "archived": true,
102 "externalId": "string",
103 "id": 0,
104 "email": "string",
105 "userName": "string",
106 "firstName": "string",
107 "lastName": "string",
108 "displayName": "string",
109 "permissions": "string",
110 "internalId": "string",
111 "preferredCulture": {
112 "createdBy": "string",
113 "lastModifiedBy": "string",
114 "createdDate": "2019-08-24T14:15:22Z",
115 "lastModifiedDate": "2019-08-24T14:15:22Z",
116 "archived": true,
117 "externalId": "string",
118 "id": 0,
119 "name": "string",
120 "code": "string",
121 "defaultCulture": true,
122 "enable": true
123 },
124 "userGroups": [
125 {
126 "createdBy": "string",
127 "lastModifiedBy": "string",
128 "createdDate": "2019-08-24T14:15:22Z",
129 "lastModifiedDate": "2019-08-24T14:15:22Z",
130 "archived": true,
131 "externalId": "string",
132 "id": 0,
133 "name": "string",
134 "description": "string",
135 "internalId": "string"
136 }
137 ],
138 "partnerIds": [
139 0
140 ],
141 "partners": [
142 {
143 "id": 0,
144 "status": "CREATED",
145 "displayId": "string",
146 "erpSystemId": 0,
147 "erpSystemDisplayId": "string",
148 "name": "string",
149 "fax": "string",
150 "phone": "string",
151 "parentId": 0,
152 "parentName": "string",
153 "parentDisplayId": "string",
154 "companyId": 0,
155 "partnerRoleId": 0,
156 "partnerContactId": 0
157 }
158 ]
159 },
160 "milestoneIds": [
161 0
162 ]
163}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Delete Project Participant¶
HTTP Request
DELETE /api/project-participants/{id}
📋 Description: Removes a specified project participant from the Nakisa Portfolio Management Suite, ensuring accurate management of portfolio assets and analytics related to real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Create Project Participant¶
HTTP Request
POST /api/project-participants
📋 Description: Adds new participants to a specified project within the Nakisa Portfolio Management Suite, enhancing collaboration and analytics for portfolio and asset management in the real estate sector.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing participant information, including roles and associated assets, to facilitate analytics and management within real estate portfolio projects. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "isEmailActive": true,
10 "isPrivacy": true,
11 "milestones": [
12 {
13 "createdBy": "string",
14 "lastModifiedBy": "string",
15 "createdDate": "2019-08-24T14:15:22Z",
16 "lastModifiedDate": "2019-08-24T14:15:22Z",
17 "archived": true,
18 "externalId": "string",
19 "id": 0,
20 "name": "string",
21 "description": "string",
22 "wbs": 0,
23 "percProject": 0,
24 "startDate": "2019-08-24",
25 "targetDate": "2019-08-24",
26 "baselineTargetDate": "2019-08-24",
27 "dateActualized": "2019-08-24",
28 "scheduleFrom": "2019-08-24",
29 "noOfDaysToSchedule": 0,
30 "milestoneTypeId": 0,
31 "statusId": 0,
32 "approverId": 0,
33 "approvalStatusId": 0,
34 "approvalDate": "2019-08-24",
35 "isTemplate": true,
36 "milestoneTasks": [
37 {
38 "createdBy": "string",
39 "lastModifiedBy": "string",
40 "createdDate": "2019-08-24T14:15:22Z",
41 "lastModifiedDate": "2019-08-24T14:15:22Z",
42 "archived": true,
43 "externalId": "string",
44 "id": 0,
45 "name": "string",
46 "description": "string",
47 "wbs": 0,
48 "startDate": "2019-08-24",
49 "targetDate": "2019-08-24",
50 "statusId": 0,
51 "assigneeId": 0,
52 "assigneeCanModify": true,
53 "notificationTypeId": 0,
54 "triggerId": 0,
55 "statusOfTriggerId": 0,
56 "emailSendDate": "2019-08-24",
57 "lastEmailSent": "2019-08-24",
58 "isEmailAcknowledged": true,
59 "nbEmailSent": 0,
60 "milestoneTaskKeywordId": 0,
61 "milestoneTaskKeywordValue": "string",
62 "approverId": 0,
63 "approvalStatusId": 0,
64 "refernceTaskId": 0,
65 "nrmWorkOrderId": 0,
66 "nrmWorkOrderDisplayId": "string",
67 "approvalDate": "2019-08-24",
68 "milestoneTaskCost": {
69 "createdBy": "string",
70 "lastModifiedBy": "string",
71 "createdDate": "2019-08-24T14:15:22Z",
72 "lastModifiedDate": "2019-08-24T14:15:22Z",
73 "archived": true,
74 "externalId": "string",
75 "id": 0,
76 "actual": 0
77 }
78 }
79 ],
80 "milestoneCost": {
81 "createdBy": "string",
82 "lastModifiedBy": "string",
83 "createdDate": "2019-08-24T14:15:22Z",
84 "lastModifiedDate": "2019-08-24T14:15:22Z",
85 "archived": true,
86 "externalId": "string",
87 "id": 0,
88 "sourceId": 0,
89 "estimated": 0,
90 "totalActual": 0
91 }
92 }
93 ],
94 "projectId": 0,
95 "userId": 0,
96 "userDto": {
97 "createdBy": "string",
98 "lastModifiedBy": "string",
99 "createdDate": "2019-08-24T14:15:22Z",
100 "lastModifiedDate": "2019-08-24T14:15:22Z",
101 "archived": true,
102 "externalId": "string",
103 "id": 0,
104 "email": "string",
105 "userName": "string",
106 "firstName": "string",
107 "lastName": "string",
108 "displayName": "string",
109 "permissions": "string",
110 "internalId": "string",
111 "preferredCulture": {
112 "createdBy": "string",
113 "lastModifiedBy": "string",
114 "createdDate": "2019-08-24T14:15:22Z",
115 "lastModifiedDate": "2019-08-24T14:15:22Z",
116 "archived": true,
117 "externalId": "string",
118 "id": 0,
119 "name": "string",
120 "code": "string",
121 "defaultCulture": true,
122 "enable": true
123 },
124 "userGroups": [
125 {
126 "createdBy": "string",
127 "lastModifiedBy": "string",
128 "createdDate": "2019-08-24T14:15:22Z",
129 "lastModifiedDate": "2019-08-24T14:15:22Z",
130 "archived": true,
131 "externalId": "string",
132 "id": 0,
133 "name": "string",
134 "description": "string",
135 "internalId": "string"
136 }
137 ],
138 "partnerIds": [
139 0
140 ],
141 "partners": [
142 {
143 "id": 0,
144 "status": "CREATED",
145 "displayId": "string",
146 "erpSystemId": 0,
147 "erpSystemDisplayId": "string",
148 "name": "string",
149 "fax": "string",
150 "phone": "string",
151 "parentId": 0,
152 "parentName": "string",
153 "parentDisplayId": "string",
154 "companyId": 0,
155 "partnerRoleId": 0,
156 "partnerContactId": 0
157 }
158 ]
159 },
160 "milestoneIds": [
161 0
162 ]
163}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
integer |
Example Responses
10
Get All Project Participants By Project Id¶
HTTP Request
GET /api/project-participants/projects/{projectId}
📋 Description: Fetches a list of participants associated with a specific project identified by the projectId, enabling users to analyze resource allocation and engagement within the context of portfolio management and real estate assets.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
projectId |
path |
integer(int64) |
true |
Unique identifier for the project |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "isEmailActive": true,
11 "isPrivacy": true,
12 "milestones": [
13 {
14 "createdBy": "string",
15 "lastModifiedBy": "string",
16 "createdDate": "2019-08-24T14:15:22Z",
17 "lastModifiedDate": "2019-08-24T14:15:22Z",
18 "archived": true,
19 "externalId": "string",
20 "id": 0,
21 "name": "string",
22 "description": "string",
23 "wbs": 0,
24 "percProject": 0,
25 "startDate": "2019-08-24",
26 "targetDate": "2019-08-24",
27 "baselineTargetDate": "2019-08-24",
28 "dateActualized": "2019-08-24",
29 "scheduleFrom": "2019-08-24",
30 "noOfDaysToSchedule": 0,
31 "milestoneTypeId": 0,
32 "statusId": 0,
33 "approverId": 0,
34 "approvalStatusId": 0,
35 "approvalDate": "2019-08-24",
36 "isTemplate": true,
37 "milestoneTasks": [
38 {
39 "createdBy": "string",
40 "lastModifiedBy": "string",
41 "createdDate": "2019-08-24T14:15:22Z",
42 "lastModifiedDate": "2019-08-24T14:15:22Z",
43 "archived": true,
44 "externalId": "string",
45 "id": 0,
46 "name": "string",
47 "description": "string",
48 "wbs": 0,
49 "startDate": "2019-08-24",
50 "targetDate": "2019-08-24",
51 "statusId": 0,
52 "assigneeId": 0,
53 "assigneeCanModify": true,
54 "notificationTypeId": 0,
55 "triggerId": 0,
56 "statusOfTriggerId": 0,
57 "emailSendDate": "2019-08-24",
58 "lastEmailSent": "2019-08-24",
59 "isEmailAcknowledged": true,
60 "nbEmailSent": 0,
61 "milestoneTaskKeywordId": 0,
62 "milestoneTaskKeywordValue": "string",
63 "approverId": 0,
64 "approvalStatusId": 0,
65 "refernceTaskId": 0,
66 "nrmWorkOrderId": 0,
67 "nrmWorkOrderDisplayId": "string",
68 "approvalDate": "2019-08-24",
69 "milestoneTaskCost": {
70 "createdBy": "string",
71 "lastModifiedBy": "string",
72 "createdDate": "2019-08-24T14:15:22Z",
73 "lastModifiedDate": "2019-08-24T14:15:22Z",
74 "archived": true,
75 "externalId": "string",
76 "id": 0,
77 "actual": 0
78 }
79 }
80 ],
81 "milestoneCost": {
82 "createdBy": "string",
83 "lastModifiedBy": "string",
84 "createdDate": "2019-08-24T14:15:22Z",
85 "lastModifiedDate": "2019-08-24T14:15:22Z",
86 "archived": true,
87 "externalId": "string",
88 "id": 0,
89 "sourceId": 0,
90 "estimated": 0,
91 "totalActual": 0
92 }
93 }
94 ],
95 "projectId": 0,
96 "userId": 0,
97 "userDto": {
98 "createdBy": "string",
99 "lastModifiedBy": "string",
100 "createdDate": "2019-08-24T14:15:22Z",
101 "lastModifiedDate": "2019-08-24T14:15:22Z",
102 "archived": true,
103 "externalId": "string",
104 "id": 0,
105 "email": "string",
106 "userName": "string",
107 "firstName": "string",
108 "lastName": "string",
109 "displayName": "string",
110 "permissions": "string",
111 "internalId": "string",
112 "preferredCulture": {
113 "createdBy": "string",
114 "lastModifiedBy": "string",
115 "createdDate": "2019-08-24T14:15:22Z",
116 "lastModifiedDate": "2019-08-24T14:15:22Z",
117 "archived": true,
118 "externalId": "string",
119 "id": 0,
120 "name": "string",
121 "code": "string",
122 "defaultCulture": true,
123 "enable": true
124 },
125 "userGroups": [
126 {
127 "createdBy": "string",
128 "lastModifiedBy": "string",
129 "createdDate": "2019-08-24T14:15:22Z",
130 "lastModifiedDate": "2019-08-24T14:15:22Z",
131 "archived": true,
132 "externalId": "string",
133 "id": 0,
134 "name": "string",
135 "description": "string",
136 "internalId": "string"
137 }
138 ],
139 "partnerIds": [
140 0
141 ],
142 "partners": [
143 {
144 "id": 0,
145 "status": "CREATED",
146 "displayId": "string",
147 "erpSystemId": 0,
148 "erpSystemDisplayId": "string",
149 "name": "string",
150 "fax": "string",
151 "phone": "string",
152 "parentId": 0,
153 "parentName": "string",
154 "parentDisplayId": "string",
155 "companyId": 0,
156 "partnerRoleId": 0,
157 "partnerContactId": 0
158 }
159 ]
160 },
161 "milestoneIds": [
162 0
163 ]
164 }
165]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing an individual participant in a project within the Nakisa Portfolio Management Suite, encompassing relevant details for portfolio analysis, asset management, and real estate property evaluation.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» isEmailActive |
boolean |
false |
none |
Whether the resource is email active |
» isPrivacy |
boolean |
false |
none |
Whether the resource is privacy |
» milestones |
false |
none |
List of milestones items |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» name |
string |
false |
none |
Name of the resource |
»» description |
string |
false |
none |
Description of the resource |
»» wbs |
integer(int32) |
false |
none |
Numeric value representing wbs |
»» percProject |
integer(int32) |
false |
none |
Numeric value representing percProject |
»» startDate |
string(date) |
false |
none |
Start date of the resource |
»» targetDate |
string(date) |
false |
none |
Date of the target |
»» baselineTargetDate |
string(date) |
false |
none |
Date of the baseline target |
»» dateActualized |
string(date) |
false |
none |
Text value for dateActualized in Milestone |
»» scheduleFrom |
string(date) |
false |
none |
Text value for scheduleFrom in Milestone |
»» noOfDaysToSchedule |
integer(int32) |
false |
none |
Numeric value representing noOfDaysToSchedule |
»» milestoneTypeId |
integer(int64) |
false |
none |
Unique identifier for the milestone type |
»» statusId |
integer(int64) |
false |
none |
Unique identifier for the status |
»» approverId |
integer(int64) |
false |
none |
Unique identifier for the approver |
»» approvalStatusId |
integer(int64) |
false |
none |
Unique identifier for the approval status |
»» approvalDate |
string(date) |
false |
none |
Date of the approval |
»» isTemplate |
boolean |
false |
none |
Whether the resource is template |
»» milestoneTasks |
false |
none |
List of milestoneTasks items |
|
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» name |
string |
false |
none |
Name of the resource |
»»» description |
string |
false |
none |
Description of the resource |
»»» wbs |
integer(int32) |
false |
none |
Numeric value representing wbs |
»»» startDate |
string(date) |
false |
none |
Start date of the resource |
»»» targetDate |
string(date) |
false |
none |
Date of the target |
»»» statusId |
integer(int64) |
false |
none |
Unique identifier for the status |
»»» assigneeId |
integer(int64) |
false |
none |
Unique identifier for the assignee |
»»» assigneeCanModify |
boolean |
false |
none |
Boolean flag indicating assigneeCanModify status |
»»» notificationTypeId |
integer(int64) |
false |
none |
Unique identifier for the notification type |
»»» triggerId |
integer(int64) |
false |
none |
Unique identifier for the trigger |
»»» statusOfTriggerId |
integer(int64) |
false |
none |
Unique identifier for the status of trigger |
»»» emailSendDate |
string(date) |
false |
none |
Date of the email send |
»»» lastEmailSent |
string(date) |
false |
none |
Text value for lastEmailSent in MilestoneTask |
»»» isEmailAcknowledged |
boolean |
false |
none |
Whether the resource is email acknowledged |
»»» nbEmailSent |
integer(int32) |
false |
none |
Numeric value representing nbEmailSent |
»»» milestoneTaskKeywordId |
integer(int64) |
false |
none |
Unique identifier for the milestone task keyword |
»»» milestoneTaskKeywordValue |
string |
false |
none |
Text value for milestoneTaskKeywordValue in MilestoneTask |
»»» approverId |
integer(int64) |
false |
none |
Unique identifier for the approver |
»»» approvalStatusId |
integer(int64) |
false |
none |
Unique identifier for the approval status |
»»» refernceTaskId |
integer(int64) |
false |
none |
Unique identifier for the refernce task |
»»» nrmWorkOrderId |
integer(int64) |
false |
none |
none |
»»» nrmWorkOrderDisplayId |
string |
false |
none |
none |
»»» approvalDate |
string(date) |
false |
none |
Date of the approval |
»»» milestoneTaskCost |
false |
none |
Data transfer object representing the cost associated with a specific milestone task within the Nakisa Portfolio Management Suite, facilitating effective portfolio and asset management analytics for real estate properties. |
|
»»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»» actual |
number |
false |
none |
Value for actual field |
»» milestoneCost |
false |
none |
The MilestoneCost schema represents the financial allocation associated with key milestones within a portfolio, enabling effective asset management and analytics for real estate properties. This object facilitates informed decision-making by providing insights into cost distribution across various stages of property development and management. |
|
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» sourceId |
integer(int64) |
false |
none |
Unique identifier for the source |
»»» estimated |
number |
false |
none |
Value for estimated field |
»»» totalActual |
number |
false |
none |
Value for totalActual field |
» projectId |
integer(int64) |
true |
none |
Unique identifier for the project |
» userId |
integer(int64) |
false |
none |
Unique identifier for the user |
» userDto |
false |
none |
Data transfer object representing a user within the Nakisa Portfolio Management Suite, encapsulating essential information for managing portfolio, asset, and analytics interactions related to real estate properties. |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
string |
true |
none |
Text value for email in UserDto |
|
»» userName |
string |
true |
none |
Name of the user |
»» firstName |
string |
true |
none |
Name of the first |
»» lastName |
string |
true |
none |
Name of the last |
»» displayName |
string |
false |
none |
Display name for user interface |
»» permissions |
string |
false |
none |
Text value for permissions in UserDto |
»» internalId |
string |
false |
none |
Unique identifier for the internal |
»» preferredCulture |
false |
none |
Data transfer object representing cultural attributes and insights related to portfolio assets within the Nakisa Portfolio Management Suite, facilitating informed decision-making in real estate property analytics. |
|
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» name |
string |
false |
none |
Name of the resource |
»»» code |
string |
false |
none |
Code identifier for the resource |
»»» defaultCulture |
boolean |
false |
none |
Boolean flag indicating defaultCulture status |
»»» enable |
boolean |
false |
none |
Boolean flag indicating enable status |
»» userGroups |
false |
none |
User information related to portfolio management |
|
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» name |
string |
true |
none |
Name of the resource |
»»» description |
string |
false |
none |
Description of the resource |
»»» internalId |
string |
false |
none |
Unique identifier for the internal |
»» partnerIds |
[integer] |
false |
none |
List of partnerIds items |
»» partners |
false |
none |
List of partners items |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» status |
string |
false |
none |
Status of the resource |
»»» displayId |
string |
true |
none |
Unique identifier for the display |
»»» erpSystemId |
integer(int64) |
false |
none |
Unique identifier for the erp system |
»»» erpSystemDisplayId |
string |
false |
none |
Unique identifier for the erp system display |
»»» name |
string |
false |
none |
Name of the resource |
»»» fax |
string |
false |
none |
Text value for fax in PartnerDto |
»»» phone |
string |
false |
none |
Text value for phone in PartnerDto |
»»» parentId |
integer(int64) |
false |
none |
Unique identifier for the parent |
»»» parentName |
string |
false |
none |
Name of the parent |
»»» parentDisplayId |
string |
false |
none |
Unique identifier for the parent display |
»»» companyId |
integer(int64) |
false |
none |
Unique identifier for the company |
»»» partnerRoleId |
integer(int64) |
false |
none |
Unique identifier for the partner role |
»»» partnerContactId |
integer(int64) |
false |
none |
Unique identifier for the partner contact |
» milestoneIds |
[integer] |
false |
none |
List of milestoneIds items |
Enumerated Values
Attribute |
Value |
|---|---|
status |
ACTIVE, CREATED, DECOMMISSIONED, DISABLED |